
Redmine - Defect #15590

Database migration error from 2.1.4 to 2.4.1

2013-12-04 03:18 - Constantine Borodin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I trying to migrate database from v.2.1.4 to v.2.4.1 and when i had click to 'activity', 'issues', 'gant diagramm' and 'settings' i got an

error 500.

It's strange, because with db from v.2.4.1 it's working correctly and  when i had installed the Redmine v.2.4.1 and trying to migrate

the database from latest Redmine version i had got an error.

Please clarify, it's very strange for me.

Thank you.

The log is

Connecting to database specified by database.yml

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

Started GET "/" for 86.57.190.115 at 2013-12-03 15:32:56 -0700

Processing by WelcomeController#index as HTML

  Current user: admin (id=1)

  Rendered welcome/index.html.erb within layouts/base (828.5ms)

Completed 200 OK in 1603.1ms (Views: 1178.1ms | ActiveRecord: 69.6ms)

Started GET "/projects/f2" for 86.57.190.115 at 2013-12-03 15:33:02 -0700

Processing by ProjectsController#show as HTML

  Parameters: {"id"=>"f2"}

  Current user: admin (id=1)

  Rendered projects/_members_box.html.erb (5.2ms)

  Rendered projects/show.html.erb within layouts/base (27.5ms)

Completed 200 OK in 245.8ms (Views: 142.7ms | ActiveRecord: 52.1ms)

Started GET "/projects/f2/issues/new" for 86.57.190.115 at 2013-12-03 15:33:05 -0700

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"f2"}

  Current user: admin (id=1)

  Rendered issues/_form.html.erb (9.3ms)

  Rendered issues/new.html.erb within layouts/base (14.0ms)

Completed 500 Internal Server Error in 251.8ms

ActionView::Template::Error (undefined local variable or method `fields_bits' for #<Tracker:0x0000

0004fb8bd8>):

    1: <%= labelled_fields_for :issue, @issue do |f| %>

    2: <%= call_hook(:view_issues_form_details_top, { :issue => @issue, :form => f }) %>

    3: 

    4: <% if @issue.safe_attribute? 'is_private' %>

    5: <p style="float:right; margin-right:1em;">

    6:   <%= f.check_box :is_private, :no_label => true %><label class="inline" for="issue_is_priv

ate" id="issue_is_private_label"><%= l(:field_is_private) %></label>

    7: </p>

  app/models/tracker.rb:72:in `block in disabled_core_fields'

  app/models/tracker.rb:72:in `select'

  app/models/tracker.rb:72:in `disabled_core_fields'

  app/models/issue.rb:474:in `disabled_core_fields'

  app/models/issue.rb:412:in `safe_attribute_names'

  lib/redmine/safe_attributes.rb:66:in `safe_attribute?'
  app/views/issues/_form.html.erb:4:in `block in _app_views_issues__form_html_erb__324657699520752

8411_41286820'

  app/helpers/application_helper.rb:983:in `labelled_fields_for'

  app/views/issues/_form.html.erb:1:in `_app_views_issues__form_html_erb__3246576995207528411_4128

6820'

  app/views/issues/new.html.erb:11:in `block in _app_views_issues_new_html_erb__440174660043525585

_32271180'

  app/helpers/application_helper.rb:976:in `labelled_form_for'

  app/views/issues/new.html.erb:5:in `_app_views_issues_new_html_erb__440174660043525585_32271180'

  app/controllers/issues_controller.rb:139:in `block (2 levels) in new'

  app/controllers/issues_controller.rb:138:in `new'

Related issues:

Related to Redmine - Defect #12707: Typo in app/models/tracker.rb Closed

History

#1 - 2013-12-04 05:40 - Toshi MARUYAMA

- Related to Defect #12707: Typo in app/models/tracker.rb added

#2 - 2013-12-04 19:00 - Constantine Borodin

Hi,

This file is also have 'attr_protected :fields_bits'

I had used the latest Redmine for install, only database from older version.

#3 - 2013-12-07 09:52 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This error means that your database is not preperly upgrade. Please read RedmineUpgrade.
